org.apache.commons.compress.harmony.pack200

## Class Archive

- java.lang.Object
- - org.apache.commons.compress.harmony.pack200.Archive

-     public class Archive
      extends Object

  Archive is the main entry point to pack200 and represents a packed archive. An archive is constructed with either a JarInputStream and an output stream or a JarFile as input and an OutputStream. Options can be set, then `pack()` is called, to pack the Jar file into a pack200 archive.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Archive(JarFile jarFile, OutputStream outputStream, PackingOptions options)` Creates an Archive with the given input file and a stream for the output
    `Archive(JarInputStream inputStream, OutputStream outputStream, PackingOptions options)` Creates an Archive with streams for the input and output.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `pack()` Pack the archive

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Archive

          public Archive(JarFile jarFile,
                         OutputStream outputStream,
                         PackingOptions options)
                  throws IOException

      Creates an Archive with the given input file and a stream for the output
      Parameters:
        `jarFile` - - the input file
        `outputStream` - TODO
        `options` - - packing options (if null then defaults are used)
      Throws:
        `IOException` - If an I/O error occurs.

    - #### Archive

          public Archive(JarInputStream inputStream,
                         OutputStream outputStream,
                         PackingOptions options)
                  throws IOException

      Creates an Archive with streams for the input and output.
      Parameters:
        `inputStream` - TODO
        `outputStream` - TODO
        `options` - - packing options (if null then defaults are used)
      Throws:
        `IOException` - If an I/O error occurs.

  - ### Method Detail

    - #### pack

          public void pack()
                    throws Pack200Exception,
                           IOException

      Pack the archive
      Throws:
        `Pack200Exception` - TODO
        `IOException` - If an I/O error occurs.

Copyright © 2002–2022 The Apache Software Foundation. All rights reserved.